% COMPUTE_LIQUID.M %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Compute liquid flows for a section

function L = compute_liquid(secnr,L_in,x)

global coldata hydraulic

holdup = x(1:coldata.Nt(secnr));

L = L_in + hydraulic.k1 * (holdup - coldata.M0(secnr));

